1

Looking at the features of the Enterprise edition for Magento 1.14 and 2.0, I am wondering which version to opt for ?

Some of Magento 2 EE highlights is:

  1. Database scalability
  2. Advanced search (Solr - http://devdocs.magento.com/guides/v2.0/config-guide/solr/solr-overview.html)
  3. Job queue opportunities Message Queues (http://devdocs.magento.com/guides/v2.0/config-guide/mq/rabbitmq-overview.html)
  4. Google Tag Manager support
  5. Extended admin rights management features
  6. The ability to manage customer attributes and create custom customer attributes Scheduled FTP/SFTP transfer via XML
  7. Dedicated 24/7 support

Magento Enterprise Edition 1.14.2 includes the latest versions of the Zend 1 Framework and Redis integration, as well as refinements to full-page caching that enable more pages to be served from cache. The release also includes many quality enhancements.

  • What are the key differences between Magento 2.0 vs 1.14 Enterprise Edition ?
  • What should be suggested to a client where existing website is built in 1.14 with respect to 2.0 enterprise ?

P.S Do not close it. If you think its too broad, at least try to answer key highlights

2

IMHO if your client already have an Enterprise 1.14.X you should evaluate:

  • How Many Customs / Modules your store have and how many time(money) you need to migrate such functionalities to M2

  • How much time you need to Re-Implement the store Theme (Believe me it's not trivial at all)

  • How important would be RabbitMQ Support or Database Split for your store operation (These are the only two difference I found in EE) Both Support SOLR but M2 support newest version, anyway... will be moved to Elastic Search in the next release.

Basically is a matter of Money if your client can spend a lot of money for a few new features... you may be interested in a M2 implementation. Otherwise you can wait a few months for some new features / improvements.

My advice right now is:

If you just have some 3rd party extensions that are already migrated to M2 and can afford the theme migration GO to M2! otherwise keep in M1 (Magento will be supporting 1.X until Dic 2018).

  • Is Mage going to stop supporting 1.X for both CE and EE ? – Slimshadddyyy Feb 10 '16 at 10:53
  • Yes, 3 years from Magento2 official release (dic 2015) – MauroNigrele Feb 10 '16 at 10:58
  • Here's more info about split databases. Magento 1.x had nothing like it. – Steve Johnson Feb 11 '16 at 21:36
  • Yes I told you about (without details) but is a point to take in mind to evaluate – MauroNigrele Feb 11 '16 at 21:56

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.